大小表按ID
方法适用于所有模式.
如果您使用API-Key令牌,调用该方法时需要具备列表中可用权限之一
按大小表的Id返回大小表。 Id由方法返回
尺寸表的选择。 如果 sizeTableIds 未传递,返回所有大小表,
由企业创建。
首先,返回业务创建的表,然后返回品牌表,然后返回标准表; 在每个组内 — ID的降序排列。
结果逐页返回。 要导航,请使用参数 pageToken 和 limit.
在每个后续请求中,传递相同的集合。 sizeTableIds,如在第一个:
pageToken 链接到它,并且请求将被拒绝与不同的集合。 秩序
Id没关系。
无法返回表的id — 没有这样的表或它是
属于另一个企业, — 他们回到 notFoundSizeTableIds 在第一页上。
⚙️ 限额: 100 请求 每分钟 |
|---|
Request
POST
https://api.partner.market.yandex.ru/v2/businesses/{businessId}/size-tables
Path parameters
|
Name |
Description |
|
businessId |
Type: integer 内阁ID。 Min value: |
Query parameters
|
Name |
Description |
|
limit |
Type: integer 每页的值数。 Default: Min value: Max value: |
|
pageToken |
Type: string 结果页面的ID。 如果省略该参数,则返回第一页。 传递输出参数的值 Example: `` |
Body
application/json
{
"sizeTableIds": [
1
]
}
|
Name |
Description |
|
sizeTableIds |
Type: integer[] | null 大小表的id。 如果省略该参数,则返回业务创建的所有表。 Min items: Max items: Unique items: Example
|
Responses
200 OK
尺寸表。
Body
application/json
{
"status": "OK",
"result": {
"sizeTables": [
{
"sizeTableId": 0,
"sizeTableName": "example",
"sizeTableType": "CUSTOM",
"sizeParameterId": 0,
"editable": true,
"key": {},
"sizeCharts": [
null
]
}
],
"notFoundSizeTableIds": [
0
],
"paging": {
"nextPageToken": "example"
}
}
}
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
result
Type: object
notFoundSizeTableIds
Type: integer[]
无法返回表的查询id:没有这样的表。 或者它属于另一个企业。
它只在第一页上填写。 在以下页面和请求中没有
sizeTableIds列表为空。Unique items:
trueExample
[ 0 ]paging
Type: object
nextPageToken
Type: string
下一个结果页面的ID。
Example:
example下一页的ID。
Example
{ "nextPageToken": "example" }sizeTables
Type: object[]
editable
Type: boolean
企业可以编辑表格吗:
true— 对于业务创建的表,false— 对于市场表。sizeCharts
Type: object[]
columnType
Type: string
尺寸图的列类型:
SIZE_CHART— 用于确定产品尺寸的尺寸网格。MEASUREMENT— 测量,例如胸围或足长。 它不参与确定产品的尺寸。
Enum:
SIZE_CHART,MEASUREMENTsizeChartId
Type: integer
维度网格或维度的ID。 网格和测量具有共同的标识符空间。
sizeChartName
Type: string
维度网格或度量的名称。
Example:
examplesizes
Type: object[]
rowIndex
Type: integer
表的行号,从0开始。 值相同
rowIndex相同的尺寸在不同的列中描述。数字可能会丢失,并且行顺序可能与大小顺序不匹配。 收集线 按价值计算
rowIndex,而不是由值的位置sizes.Min value:
0sizeValue
Type: string
尺寸或测量的值。
Example:
examplesizeValueId
Type: integer
大小值的ID。 仅当列具有值的引用列表时才返回。 — 这些是市场的标准尺寸网格。
在由企业、品牌网格和测量创建的网格中,值仅由文本设置。
列值按表中行的顺序排列。 不返回空单元格。
Example
[ { "sizeValueId": 0, "sizeValue": "example", "rowIndex": 0 } ]表的列:尺寸网格和测量。 不返回没有值的列。
Example
[ { "sizeChartId": 0, "sizeChartName": "example", "columnType": "SIZE_CHART", "sizes": [ { "sizeValueId": 0, "sizeValue": "example", "rowIndex": 0 } ] } ]sizeParameterId
Type: integer
表中的维度与之相关的维度特征的ID。
sizeTableId
Type: integer
大小表的ID。
sizeTableName
Type: string
尺寸图表的名称。
Example:
examplesizeTableType
Type: string
尺寸图表类型:
CUSTOM— 业务创建的表。STANDARD— 市场表:标准或定制。
Enum:
CUSTOM,STANDARDkey
Type: object
categoryId
Type: integer
来自请求的类别ID。
genderId
Type: integer
市场上的性别ID。
vendorId
Type: integer
市场上的品牌ID。 只为品牌表返回。
选择表的条件。
Example
{ "categoryId": 0, "vendorId": 0, "genderId": 0 }尺寸图表:首先由企业创建,然后是品牌,然后是标准; 在每个组内 — ID的降序排列。
Example
[ { "sizeTableId": 0, "sizeTableName": "example", "sizeTableType": "CUSTOM", "sizeParameterId": 0, "editable": true, "key": { "categoryId": 0, "vendorId": 0, "genderId": 0 }, "sizeCharts": [ { "sizeChartId": 0, "sizeChartName": "example", "columnType": "SIZE_CHART", "sizes": [ {} ] } ] } ]尺寸表。
Example
{ "sizeTables": [ { "sizeTableId": 0, "sizeTableName": "example", "sizeTableType": "CUSTOM", "sizeParameterId": 0, "editable": true, "key": { "categoryId": 0, "vendorId": 0, "genderId": 0 }, "sizeCharts": [ { "sizeChartId": 0, "sizeChartName": "example", "columnType": "SIZE_CHART", "sizes": [ null ] } ] } ], "notFoundSizeTableIds": [ 0 ], "paging": { "nextPageToken": "example" } }Example
{ "result": { "sizeTables": [ { "sizeTableId": 0, "sizeTableName": "example", "sizeTableType": "CUSTOM", "sizeParameterId": 0, "editable": true, "key": { "categoryId": 0, "vendorId": 0, "genderId": 0 }, "sizeCharts": [ {} ] } ], "notFoundSizeTableIds": [ 0 ], "paging": { "nextPageToken": "example" } } }
400 Bad Request
请求包含不正确的数据。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
401 Unauthorized
请求中未指定授权数据。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
403 Forbidden
授权数据不正确或禁止访问资源。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
404 Not Found
找不到请求的资源。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
420 Method Failure
已超出资源访问限制。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
500 Internal Server Error
市场的内部错误。 有关错误的更多信息
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
响应的类型。 可能的值:
OK— 没有错误。ERROR— 处理请求时出错。
Enum:
OK,ERROR服务器响应的标准包装器。
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
的错误代码。
Example:
examplemessage
Type: string
错误的描述。
Example:
example错误列表。
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
服务器错误的标准包装器。
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -